[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#268491: mapdevfs disk names before showing to user



On Friday 27 August 2004 19:03, Joey Hess wrote:
> Package: elilo-installer
> Severity: wishlist
> Tags: d-i
>
> It would be nicer if elilo-installer could run mapdevfs on the
> partition name(s) before displaying them in elilo-installer/bootpart.
> Since bootpart is mapdevfsed right after it's taken from the answer
> to that question, no necessary info will be lost, and users find
> devfs names offputting.

The following patch re-maps partition file names for the select
menu.

This patch also re-positions the error code capture for the elilo
command to immediately follow the command.

This patch closes bug 268491.

Jim
-- 
*************
Jim Lieb			Wild Open Source Inc.
lieb@wildopensource.com		Cell: 831.295.9317
Office: 831.421.0883            Fax:  831.421.0885
Index: debian/elilo-installer.postinst
===================================================================
--- debian/elilo-installer.postinst	(revision 21745)
+++ debian/elilo-installer.postinst	(working copy)
@@ -57,6 +57,7 @@
 done	
 if [ -s /tmp/efi_boot.list ]; then
     for d in `cat /tmp/efi_boot.list`; do
+	d=`mapdevfs $d`
 	if [ -n "$BOOTPARTS" ]; then
 	    BOOTPARTS="$BOOTPARTS, $d"
 	else
@@ -76,8 +77,6 @@
 
 db_get elilo-installer/bootpart
 bootpart=$RET
-
-bootpart=`mapdevfs $bootpart`
 rootfs=`mapdevfs $rootfs`
 
 # Write out elilo.conf
@@ -135,6 +134,7 @@
 
 chroot /target /usr/sbin/elilo --autoconf --boot $bootpart \
       --root $rootfs --efiboot
+errcode=$?
 
 ## umount sysfs if we mounted it above
 if [ $sysmount -eq 1 ]; then
@@ -143,7 +143,6 @@
   fi
 fi
 
-errcode=$?
 if [ "$errcode" = 0 ] ; then
 	info "Boot loader successfully installed into EFI partition"
 else
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 21745)
+++ debian/changelog	(working copy)
@@ -18,8 +18,9 @@
 
 elilo-installer (0.0.7) unstable; urgency=low
 
-  * dann frazier
-    - add dependency on fat-modules
+  * Jim Lieb
+    - make partition names more people readable
+    - Closes: #268491
     - add dependency on firmware-modules (for efivars)
     - modprobe efivars
     - mount sysfs for efibootmgr, if necessary.  Closes: #270934
@@ -27,7 +28,7 @@
     - Remove unsetting of seen flag, that is not necessary in the d-i
       environment and it makes preseeding difficult.
 
- -- dann frazier <dannf@debian.org>  Fri, 10 Sep 2004 00:13:26 -0600
+ -- Jim Lieb <lieb@wildopensource.com>  Fri, 10 Sep 2004 14:38:00 -0700
 
 elilo-installer (0.0.6) unstable; urgency=low
 

Reply to: